language: ruby
cache: bundler

notifications:
  email: false

env:
  global:
    - LOCAL_DOMAIN=cb6e6126.ngrok.io
    - LOCAL_HTTPS=true
    - RAILS_ENV=test
    - CXX=g++-4.8
addons:
  postgresql: 9.4

rvm:
  - 2.4.1

services:
  - redis-server

bundler_args: --without development production --retry=3 --jobs=3

before_install:
  - sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
  - sudo apt-get -qq update
  - sudo apt-get -qq install g++-4.8
install:
  - nvm install
  - npm install -g yarn
  - bundle install
  - yarn install

before_script:
  - bundle exec rails db:create db:migrate

script:
  - bundle exec rspec
  - npm test
